% pregunta 2, lab5, 521230, S2-2012
% no puedo formar A con ayuda de matriz_preg1_lab5: 
% las dosis de vitamina A no estan igualmente espaciadas y 
% la funcion a ajustar no es un polinomio
Dosis = [0.25 1 1.5 2.5 7.5]';
AumentoPeso = [-10.8 13.5 16.4 28.7 51.3]';
A = [ones(length(Dosis),1) log10(Dosis)];
coef = A\AumentoPeso;

plot(Dosis,AumentoPeso,'o');
NewDosis = linspace(0.25,7.5);
NewDosis = NewDosis(:);
NewAumentoPeso = coef(1) + coef(2)*log10(NewDosis);
hold on
plot(NewDosis,NewAumentoPeso,'r');

% Dosis para Aumento de Peso = 0
D = 10^(-coef(1)/coef(2))
plot(D,coef(1) + coef(2)*log10(D),'*')
